-- return {
-- 	"xiantang/darcula-dark.nvim",
-- 	config = function()
-- 		vim.cmd("colorscheme darcula-dark")
-- 	end,
-- }

-- return {
-- 	"https://github.com/ellisonleao/gruvbox.nvim",
-- 	lazy = false,
-- 	priority = 1000,
-- 	config = function()
-- 		require("gruvbox").setup({
-- 			invert_tabline = false,
-- 			invert_selection = false,
-- 			terminal_colors = true, -- add neovim terminal colors
-- 			undercurl = true,
-- 			underline = true,
-- 			bold = false,
-- 			italic = {
-- 				comments = false,
-- 				emphasis = true,
-- 				strings = false,
-- 				operators = false,
-- 				folds = false,
-- 			},
-- 		})
-- 		vim.cmd.colorscheme("gruvbox")
-- 	end,
-- }

--return {
--	"maxmx03/solarized.nvim",
--	lazy = false,
--	priority = 1000,
--	---@type solarized.config
--	opts = {},
--	config = function(_, opts)
--		vim.o.termguicolors = true
--		vim.o.background = "dark"
--		require("solarized").setup(opts)
--		vim.cmd.colorscheme("solarized")
--	end,
--}

return {
	"Tsuzat/NeoSolarized.nvim",
	lazy = false, -- make sure we load this during startup if it is your main colorscheme
	priority = 1000, -- make sure to load this before all the other start plugins
	config = function()
		require("NeoSolarized").setup({
			transparent = false,
			enable_italics = false,
			styles = {
				string = { italic = false },
			},
		})
		vim.cmd([[ colorscheme NeoSolarized ]])
	end,
}

-- return {
-- 	"f4z3r/gruvbox-material.nvim",
-- 	name = "gruvbox-material",
-- 	lazy = false,
-- 	priority = 1000,
-- 	opts = {},
-- }

-- return {
-- 	"gmr458/vscode_modern_theme.nvim",
-- 	lazy = false,
-- 	priority = 1000,
-- 	config = function()
-- 		require("vscode_modern").setup({
-- 			cursorline = true,
-- 			transparent_background = false,
-- 			nvim_tree_darker = true,
-- 		})
-- 		vim.cmd.colorscheme("vscode_modern")
-- 	end,
-- }

-- return {
-- 	"olimorris/onedarkpro.nvim",
-- 	priority = 1000, -- Ensure it loads first
-- 	config = function()
-- 		vim.cmd("colorscheme onedark")
-- 	end,
-- }
--
